#ifdef __BORLANDC__
  #pragma argsused
#endif
#include<iostream.h>
class prosta
{
  public:

  prosta(int,int);
  prosta() {}
  ~prosta();
  void ustaw(int,int);

  int dodaj();
  private:
  int x,y;
};
prosta::prosta(int a,int b) {
  x=a;y=b;}
prosta::~prosta(){
  cout<<"Destruktor obiektu klasy prosta\n";
}
void prosta::ustaw(int a,int b)
{x=a;y=b;}

int prosta::dodaj()
{return x+y;}

int main( int argc, char * argv[] )
{
  prosta obiekt1;
  prosta obiekt(5,20);
  cout<<"Wynik dodawania "<<obiekt.dodaj()<<"\n";
  obiekt.ustaw(3,7);
  cout<<"Wynik dodawania "<<obiekt.dodaj()<<"\n";
  obiekt1.ustaw(10,5);
  cout<<"Wynik dodawania "<<obiekt1.dodaj()<<"\n";
  return 0;
}
